automake-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[automake-commit] 03/03: maint: avoid syntax-check failures


From: Jim Meyering
Subject: [automake-commit] 03/03: maint: avoid syntax-check failures
Date: Sun, 11 Jul 2021 23:33:56 -0400

meyering pushed a commit to branch master
in repository automake.

View the commit online:
https://git.savannah.gnu.org/gitweb/?p=automake.git;a=commitdiff;h=15641c2fc329b549b0c2288697484495b6f167cb

commit 15641c2fc329b549b0c2288697484495b6f167cb
Author: meyering <meyering@hx.meyering.net.(none)>
AuthorDate: Sun Jul 11 19:40:06 2021 -0700

    maint: avoid syntax-check failures
    
    * maintainer/syntax-checks.mk (toupper): Tighten the regexp
    to avoid a new false-match in t/python-prefix.sh.
    * t/instmany-python.sh: Use run_make in place of some $MAKE uses.
    * t/python-prefix.sh: Likewise.
    * t/python-vars.sh: Likewise.
---
 maintainer/syntax-checks.mk |  2 +-
 t/instmany-python.sh        | 10 +++++-----
 t/python-prefix.sh          |  4 ++--
 t/python-vars.sh            |  4 ++--
 4 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/maintainer/syntax-checks.mk b/maintainer/syntax-checks.mk
index bf564a7..56f8538 100644
--- a/maintainer/syntax-checks.mk
+++ b/maintainer/syntax-checks.mk
@@ -415,7 +415,7 @@ sc_tests_overriding_macros_on_cmdline:
                -e 's/ exp="[^"]*"/ /' \
                -e 's/ exp=[^ ]/ /' \
              $(filter-out %/am-test-lib.sh,$(xtests)) \
-               | grep '\$$MAKE .*='; then \
+               | grep -E '\$$MAKE .*\S+='; then \
          echo 'Rewrite "$$MAKE foo=bar" as "run_make foo=bar" in the lines 
above,'; \
          echo 'it is more portable.'; \
          exit 1; \
diff --git a/t/instmany-python.sh b/t/instmany-python.sh
index 8b90c78..ed32d30 100644
--- a/t/instmany-python.sh
+++ b/t/instmany-python.sh
@@ -119,11 +119,11 @@ cd build
 test -n "$orig_INSTALL"
 $MAKE
 # Try whether native install (or install-sh) works.
-$MAKE install PYTHON_PREFIX="$instdir"
+run_make install PYTHON_PREFIX="$instdir"
 test -n "$(find "$instdir" -name python1.py)"
 # Multiple uninstall should work, too.
-$MAKE uninstall PYTHON_PREFIX="$instdir"
-$MAKE uninstall PYTHON_PREFIX="$instdir"
+run_make uninstall PYTHON_PREFIX="$instdir"
+run_make uninstall PYTHON_PREFIX="$instdir"
 test $(find "$instdir" -type f -print | wc -l) -eq 0
 
 # Try whether we don't exceed the low limit.
@@ -143,14 +143,14 @@ for file in python3.py python$nfiles.py
 do
   chmod a-r $srcdir/$file
   test ! -r $srcdir/$file || skip_ "cannot drop file read permissions"
-  $MAKE install PYTHON_PREFIX="$instdir" && exit 1
+  run_make install PYTHON_PREFIX="$instdir" && exit 1
   chmod u+r $srcdir/$file
 done
 
 for file in npython3.py npython$nfiles.py
 do
   chmod a-r $srcdir/$file
-  $MAKE install PYTHON_PREFIX="$instdir" && exit 1
+  run_make install PYTHON_PREFIX="$instdir" && exit 1
   chmod u+r $srcdir/$file
 done
 
diff --git a/t/python-prefix.sh b/t/python-prefix.sh
index f6a2d9b..3179d42 100755
--- a/t/python-prefix.sh
+++ b/t/python-prefix.sh
@@ -67,7 +67,7 @@ py_installed "$py_inst_site"/one.pyc
 py_installed "$py_inst_site"/python-prefix/pkgtwo.py
 py_installed "$py_inst_site"/python-prefix/pkgtwo.pyc
 #
-test "`$MAKE echo-python-exec-prefix`" = "$(pwd)/inst"
+test "$($MAKE echo-python-exec-prefix)" = "$(pwd)/inst"
 
 #  Second test: specify different --with-python_prefix
 # and --with-python_exec_prefix values.
@@ -86,6 +86,6 @@ py_installed "$py_inst_site"/one.pyc
 py_installed "$py_inst_site"/python-prefix/pkgtwo.py
 py_installed "$py_inst_site"/python-prefix/pkgtwo.pyc
 #
-test "`$MAKE echo-python-exec-prefix`" = "$(pwd)/instexec"
+test "$($MAKE echo-python-exec-prefix)" = "$(pwd)/instexec"
 
 :
diff --git a/t/python-vars.sh b/t/python-vars.sh
index dedee04..9070c75 100644
--- a/t/python-vars.sh
+++ b/t/python-vars.sh
@@ -28,7 +28,7 @@ CONFIG_SITE=/dev/null; export CONFIG_SITE
 # python installations, so we need more relaxed and ad-hoc checks for
 # them. Also, more proper "functional" checks on them should be done in
 # the 'python-virtualenv.sh' test.
-# 
+#
 # This version identification is duplicated in python.m4 (and the manual).
 PYTHON_VERSION=$($PYTHON -c 'import sys; print ("%u.%u" % 
sys.version_info[:2])') || exit 1
 PYTHON_PLATFORM=$($PYTHON -c 'import sys; print (sys.platform)') || exit 1
@@ -107,6 +107,6 @@ $MAKE test-in test-am
 # This tries to install to $PYTHON_PREFIX, which may not be writable.
 # Override it to something safe, but then of course we have to skip
 # checking that it is what we originally set it to.
-$MAKE distcheck PYTHON_PREFIX="$instdir" NO_CHECK_PYTHON_PREFIX=1
+run_make distcheck PYTHON_PREFIX="$instdir" NO_CHECK_PYTHON_PREFIX=1
 
 :



reply via email to

[Prev in Thread] Current Thread [Next in Thread]